<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 17.02.19
 * Time: 15:40
 */

namespace qfq;

use qfq;

require_once(__DIR__ . '/../core/QuickFormQuery.php');
require_once(__DIR__ . '/../core/exceptions/UserFormException.php');
require_once(__DIR__ . '/../core/exceptions/CodeException.php');
require_once(__DIR__ . '/../core/exceptions/DbException.php');

$restId=array();
$restForm=array();

$status='HTTP/1.0 409 Bad Request';

try {
    try {
        $form = OnString::splitPathInfoToIdForm($_SERVER['PATH_INFO'], $restId, $restForm);

        $id=end($restId);
                    // Fake Bodytext setup
        $bodytext = TYPO3_RECORD_ID . '=' . $id . PHP_EOL;
        $bodytext .= TYPO3_FORM . '=' . $form . PHP_EOL;

        $qfq = new QuickFormQuery(['bodytext' => $bodytext]);
        $answer = $qfq->rest($restId, $restForm);
        $status='HTTP/1.0 200 OK';

    } catch (qfq\CodeException $e) {
        $answer[API_MESSAGE] = $e->formatMessage();

    } catch (qfq\UserFormException $e) {
        $answer[API_MESSAGE] = $e->formatMessage();

    } catch (qfq\DbException $e) {
        $answer[API_MESSAGE] = $e->formatMessage();

    }
} catch (\Exception $e) {
    $answer[API_MESSAGE] = "Generic Exception: " . $e->getMessage();
}

header($status);
header("Content-Type: application/json");
echo json_encode($answer);

